com.genesyslab.wfm8.API.service.config812

## Class CfgDAConfig

- java.lang.Object
- - com.genesyslab.wfm8.API.service.config812.CfgDAConfig

- All Implemented Interfaces:
    java.io.Serializable

      public class CfgDAConfig
      extends java.lang.Object
      implements java.io.Serializable

  Data Aggregator statistics configuration for Activity
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static long` | `serialVersionUID`
    `protected java.lang.String` | `wmFilterList`
    `protected int` | `wmObjectDBID`
    `protected java.lang.String` | `wmObjectName`
    `protected java.lang.String` | `wmObjectTypeName`
    `protected java.lang.String` | `wmStatisticsName`
    `protected java.lang.String` | `wmStatisticsName2`
    `protected java.lang.String` | `wmStatisticsName3`
    `protected java.lang.String` | `wmStatisticsTypeName`
    `protected java.lang.String` | `wmTimeRange`
    `protected java.lang.String` | `wmTimeRange1`
    `protected boolean` | `wmUseAsAverage`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CfgDAConfig()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `java.lang.String` | `getWmFilterList()` Gets the value of the wmFilterList property.
    `int` | `getWmObjectDBID()` Gets the value of the wmObjectDBID property.
    `java.lang.String` | `getWmObjectName()` Gets the value of the wmObjectName property.
    `java.lang.String` | `getWmObjectTypeName()` Gets the value of the wmObjectTypeName property.
    `java.lang.String` | `getWmStatisticsName()` Gets the value of the wmStatisticsName property.
    `java.lang.String` | `getWmStatisticsName2()` Gets the value of the wmStatisticsName2 property.
    `java.lang.String` | `getWmStatisticsName3()` Gets the value of the wmStatisticsName3 property.
    `java.lang.String` | `getWmStatisticsTypeName()` Gets the value of the wmStatisticsTypeName property.
    `java.lang.String` | `getWmTimeRange()` Gets the value of the wmTimeRange property.
    `java.lang.String` | `getWmTimeRange1()` Gets the value of the wmTimeRange1 property.
    `int` | `hashCode()`
    `boolean` | `isWmUseAsAverage()` Gets the value of the wmUseAsAverage property.
    `void` | `setWmFilterList(java.lang.String value)` Sets the value of the wmFilterList property.
    `void` | `setWmObjectDBID(int value)` Sets the value of the wmObjectDBID property.
    `void` | `setWmObjectName(java.lang.String value)` Sets the value of the wmObjectName property.
    `void` | `setWmObjectTypeName(java.lang.String value)` Sets the value of the wmObjectTypeName property.
    `void` | `setWmStatisticsName(java.lang.String value)` Sets the value of the wmStatisticsName property.
    `void` | `setWmStatisticsName2(java.lang.String value)` Sets the value of the wmStatisticsName2 property.
    `void` | `setWmStatisticsName3(java.lang.String value)` Sets the value of the wmStatisticsName3 property.
    `void` | `setWmStatisticsTypeName(java.lang.String value)` Sets the value of the wmStatisticsTypeName property.
    `void` | `setWmTimeRange(java.lang.String value)` Sets the value of the wmTimeRange property.
    `void` | `setWmTimeRange1(java.lang.String value)` Sets the value of the wmTimeRange1 property.
    `void` | `setWmUseAsAverage(boolean value)` Sets the value of the wmUseAsAverage property.
    `java.lang.String` | `toString()`
    `CfgDAConfig` | `withWmFilterList(java.lang.String value)`
    `CfgDAConfig` | `withWmObjectDBID(int value)`
    `CfgDAConfig` | `withWmObjectName(java.lang.String value)`
    `CfgDAConfig` | `withWmObjectTypeName(java.lang.String value)`
    `CfgDAConfig` | `withWmStatisticsName(java.lang.String value)`
    `CfgDAConfig` | `withWmStatisticsName2(java.lang.String value)`
    `CfgDAConfig` | `withWmStatisticsName3(java.lang.String value)`
    `CfgDAConfig` | `withWmStatisticsTypeName(java.lang.String value)`
    `CfgDAConfig` | `withWmTimeRange(java.lang.String value)`
    `CfgDAConfig` | `withWmTimeRange1(java.lang.String value)`
    `CfgDAConfig` | `withWmUseAsAverage(boolean value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### wmStatisticsTypeName

          protected java.lang.String wmStatisticsTypeName

    - #### wmStatisticsName

          protected java.lang.String wmStatisticsName

    - #### wmObjectTypeName

          protected java.lang.String wmObjectTypeName

    - #### wmObjectName

          protected java.lang.String wmObjectName

    - #### wmObjectDBID

          protected int wmObjectDBID

    - #### wmFilterList

          protected java.lang.String wmFilterList

    - #### wmTimeRange

          protected java.lang.String wmTimeRange

    - #### wmTimeRange1

          protected java.lang.String wmTimeRange1

    - #### wmStatisticsName2

          protected java.lang.String wmStatisticsName2

    - #### wmStatisticsName3

          protected java.lang.String wmStatisticsName3

    - #### wmUseAsAverage

          protected boolean wmUseAsAverage

  - ### Constructor Detail

    - #### CfgDAConfig

          public CfgDAConfig()

  - ### Method Detail

    - #### getWmStatisticsTypeName

          public java.lang.String getWmStatisticsTypeName()

      Gets the value of the wmStatisticsTypeName property.
      Returns:
        possible object is `String`

    - #### setWmStatisticsTypeName

          public void setWmStatisticsTypeName(java.lang.String value)

      Sets the value of the wmStatisticsTypeName property.
      Parameters:
        `value` - allowed object is `String`

    - #### getWmStatisticsName

          public java.lang.String getWmStatisticsName()

      Gets the value of the wmStatisticsName property.
      Returns:
        possible object is `String`

    - #### setWmStatisticsName

          public void setWmStatisticsName(java.lang.String value)

      Sets the value of the wmStatisticsName property.
      Parameters:
        `value` - allowed object is `String`

    - #### getWmObjectTypeName

          public java.lang.String getWmObjectTypeName()

      Gets the value of the wmObjectTypeName property.
      Returns:
        possible object is `String`

    - #### setWmObjectTypeName

          public void setWmObjectTypeName(java.lang.String value)

      Sets the value of the wmObjectTypeName property.
      Parameters:
        `value` - allowed object is `String`

    - #### getWmObjectName

          public java.lang.String getWmObjectName()

      Gets the value of the wmObjectName property.
      Returns:
        possible object is `String`

    - #### setWmObjectName

          public void setWmObjectName(java.lang.String value)

      Sets the value of the wmObjectName property.
      Parameters:
        `value` - allowed object is `String`

    - #### getWmObjectDBID

          public int getWmObjectDBID()

      Gets the value of the wmObjectDBID property.

    - #### setWmObjectDBID

          public void setWmObjectDBID(int value)

      Sets the value of the wmObjectDBID property.

    - #### getWmFilterList

          public java.lang.String getWmFilterList()

      Gets the value of the wmFilterList property.
      Returns:
        possible object is `String`

    - #### setWmFilterList

          public void setWmFilterList(java.lang.String value)

      Sets the value of the wmFilterList property.
      Parameters:
        `value` - allowed object is `String`

    - #### getWmTimeRange

          public java.lang.String getWmTimeRange()

      Gets the value of the wmTimeRange property.
      Returns:
        possible object is `String`

    - #### setWmTimeRange

          public void setWmTimeRange(java.lang.String value)

      Sets the value of the wmTimeRange property.
      Parameters:
        `value` - allowed object is `String`

    - #### getWmTimeRange1

          public java.lang.String getWmTimeRange1()

      Gets the value of the wmTimeRange1 property.
      Returns:
        possible object is `String`

    - #### setWmTimeRange1

          public void setWmTimeRange1(java.lang.String value)

      Sets the value of the wmTimeRange1 property.
      Parameters:
        `value` - allowed object is `String`

    - #### getWmStatisticsName2

          public java.lang.String getWmStatisticsName2()

      Gets the value of the wmStatisticsName2 property.
      Returns:
        possible object is `String`

    - #### setWmStatisticsName2

          public void setWmStatisticsName2(java.lang.String value)

      Sets the value of the wmStatisticsName2 property.
      Parameters:
        `value` - allowed object is `String`

    - #### getWmStatisticsName3

          public java.lang.String getWmStatisticsName3()

      Gets the value of the wmStatisticsName3 property.
      Returns:
        possible object is `String`

    - #### setWmStatisticsName3

          public void setWmStatisticsName3(java.lang.String value)

      Sets the value of the wmStatisticsName3 property.
      Parameters:
        `value` - allowed object is `String`

    - #### isWmUseAsAverage

          public boolean isWmUseAsAverage()

      Gets the value of the wmUseAsAverage property.

    - #### setWmUseAsAverage

          public void setWmUseAsAverage(boolean value)

      Sets the value of the wmUseAsAverage property.

    - #### withWmStatisticsTypeName

          public CfgDAConfig withWmStatisticsTypeName(java.lang.String value)

    - #### withWmStatisticsName

          public CfgDAConfig withWmStatisticsName(java.lang.String value)

    - #### withWmObjectTypeName

          public CfgDAConfig withWmObjectTypeName(java.lang.String value)

    - #### withWmObjectName

          public CfgDAConfig withWmObjectName(java.lang.String value)

    - #### withWmObjectDBID

          public CfgDAConfig withWmObjectDBID(int value)

    - #### withWmFilterList

          public CfgDAConfig withWmFilterList(java.lang.String value)

    - #### withWmTimeRange

          public CfgDAConfig withWmTimeRange(java.lang.String value)

    - #### withWmTimeRange1

          public CfgDAConfig withWmTimeRange1(java.lang.String value)

    - #### withWmStatisticsName2

          public CfgDAConfig withWmStatisticsName2(java.lang.String value)

    - #### withWmStatisticsName3

          public CfgDAConfig withWmStatisticsName3(java.lang.String value)

    - #### withWmUseAsAverage

          public CfgDAConfig withWmUseAsAverage(boolean value)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.